Bug 76133 - Please ship libodbc++
Please ship libodbc++
Product: Red Hat Linux
Classification: Retired
Component: libodbc++ (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-10-17 07:17 EDT by Alex Hornby
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-13 10:11:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Hornby 2002-10-17 07:17:10 EDT
It looks like libodbc++ has been removed from Redhat Linux. This is a request 
to have it back again.

I use libodbc++ because it is very stable and usable in a production 
environment. Don't be misled by the 0.2.2 version number, its really very 
stable API wise as its based on JDBC.

libodbc++ is currently in use in production for my companies products and I've 
found it easy to program with and to use.

I could understand not shipping it if there was a better alternative available, 
but at the moment I think its the best database independent C++ database 
library around.
Comment 1 Need Real Name 2002-10-17 08:45:43 EDT

we also use libodbc++ here. I agree with all of alex's points.

Marco Keuthen
Phenomic gamedesign
Comment 2 Fernando Nasser 2003-02-13 10:11:50 EST
Hi Alex and Marco,

Shipping a package means that someone has to follow its development, monitor for
security holes, compatibility problems with new versions etc.  There also must
be an active group of developers that know the code and can help make sure it is
safe to use.  If it is shipped, it also menas that it has to be testedwith all
the other packages that are shipped.  All these things require resources so it
is impossible to ship everything -- unfortunately choices have to be made.

Although I was not the one that decided to deprecate this package I immagine
that there is not enough users of it _when compared_ with other packages.

But here is where the beauty of Open Source comes into play.  You can download
the latest source (assuming that there is one -- you may try the source from the
latest release where it was packaged, the sources are in one of the CDs).

Once you download it you can build and install it with probably only 3 commands:
make install
Look for a README file in the top source directory for the correct instructions
as this is where people usually put building instructions.

You can even create your own rpm!  RPM is Open Source, of course, and can be
installed when you install your Red Hat Linux OS (you can get the RPM rpm with
up2date as well -- and they are in the CDs).  You have the spec file from the
last distribution that came with this package -- you can use it to build the
package and create a new rpm, which then you can install as usual.


Note You need to log in before you can comment on or make changes to this bug.